Subject: bug#58486: [PATCH] Prevent .dir-locals.el from being byte-compiled

From: Juri Linkov <[email-masked]>
Date: Thu, 13 Oct 2022 20:18:43 +0300

>> When selecting a number of .el files in Dired and byte-compiling them
>> I'll usually also select a .dir-locals.el file that won't compile.
>> Would annotating them as non-byte-compilable files be sensible?
>
> Makes sense to me, FWIW.  Though Stefan M might point out that these
> files should actually be called ".dir-locals.eld".  Which, BTW, we
> should probably add support for.  And "*.eld" files should never be
> compiled, I think?

It's already handled by auto-mode-alist:

  (defvar auto-mode-alist
       ...
       ;; .dir-locals.el is not really Elisp.  Could use the
       ;; `dir-locals-file' constant if it weren't defined below.
       ("\\.dir-locals\\(?:-2\\)?\\.el\\'" . lisp-data-mode)